> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get expense

> Returns an expense by ID including all line items



## OpenAPI

````yaml /openapi-public.json get /v1/expenses/{expenseId}
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/expenses/{expenseId}:
    get:
      tags:
        - v1 - Expenses
      summary: Get expense
      description: Returns an expense by ID including all line items
      operationId: getExpense
      parameters:
        - name: expenseId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalExpenseV1Model'
components:
  schemas:
    ExternalExpenseV1Model:
      type: object
      properties:
        id:
          type: string
          format: uuid
        receiptDocumentKey:
          type: string
        originalCurrency:
          type: string
          example: USD
        billingCurrency:
          type: string
          example: USD
        status:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - CREATED
            - IN_DRAFT
            - SUBMITTED_FOR_REVIEW
            - CANCELLED
        userId:
          type: string
          format: uuid
        companyId:
          type: string
          format: uuid
        performedDate:
          type: string
          format: date
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/ExternalExpenseLineItemV1Model'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    ExternalExpenseLineItemV1Model:
      type: object
      properties:
        id:
          type: string
          format: uuid
        expenseId:
          type: string
          format: uuid
        originalAmount:
          type: integer
          format: int64
        billingAmount:
          type: integer
          format: int64
        accountId:
          type: string
          format: uuid
        costCenterId:
          type: string
          format: uuid
        description:
          type: string
        reimbursementCategoryId:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````